@charset "utf-8";

/* 가이드 양식 - 이용약관, 개인정보처리방침, 이메일무단수집거부 */
.guide-box{
    & .terms{

        & .group{
            & > .title{font-size: 24px; font-weight: var(--fwsb); margin: 0 0 20px;}
        }
        & .group + .group{margin: 40px 0 0;}

        & .item{
            & > dt{font-size: 18px; font-weight: var(--fwsb); margin: 0 0 10px;}
        }
        & .item + .item{margin: 20px 0 0;}

        & .circle-num-list{
            & > li{position: relative; padding: 0 0 0 1.2em;}
            & > li .num{position: absolute; top: 0; left: 0;}
        }
        & .dash-list{
            & > li{position: relative; padding: 0 0 0 1.2em;}
            & > li:before{content: "-"; position: absolute; top: 0; left: 0;}
        }
        & .circle-list{
            & > li{position: relative; padding: 0 0 0 1.0em;}
            & > li:before{content: ""; position: absolute; top: 10px; left: 0; width: 5px; border-radius: 50%; height: auto; aspect-ratio: 1; background: #333;}
        }
    }

    @media (width <= 640px){
        & .terms{
            font-size: 14px;
            & .group{
                & > .title{font-size: 16px; margin: 0 0 10px;}
            }
            & .group + .group{margin: 30px 0 0;}
            & .item{
                & > dt{font-size: 14px; margin: 0 0 5px;}
            }
            & .item + .item{margin: 10px 0 0;}
        }
    }
}


/* 로그인, 아이디 찾기, 비밀번호 찾기 */
.form-box{
    max-width: 580px; margin: 0 auto; border-radius: var(--radius); background: #fff; border: 1px solid var(--border-default); padding: 60px 60px;

    @media (width <= 1280px){
        padding: 50px 40px;
    }
    @media (width <= 640px){
        padding: 40px 20px;
    }
}


/* form-ips */
.form-ips{
    display: flex; flex-direction: column; gap: 10px;
    & > li{}
}


/* form-links */
.form-links{
    display: flex; flex-wrap: wrap; justify-content: center; padding: 18px 0 0; font-size: 15px;
    & li{flex: 0 0 auto;}
    & li + li:before{content: ""; display: inline-block; vertical-align: middle; margin: -3px 10px 0; width: 1px; height: 16px; background: var(--border-default);}
    & li a{}
}


/* chk-small */
.chk-small{
    display: inline-flex; align-items: flex-start; gap: 7px; user-select: none; line-height: 1.25; font-size: 1rem;
    & input{position: absolute; left: -9999px; width: 0; height: 0; opacity: 0; overflow: hidden;}
    & input + .shape{flex: 0 0 auto; position: relative; display: inline-block; margin: -1px 0 0; width: 21px; height: auto; aspect-ratio: 1; border-radius: 5px; border: 1px solid #111; background: #fff;}
    & input:checked + .shape:before{content: ""; position: absolute; top: 4px; left: 4px; width: 12px; height: 7px; border-left: 2px solid #111; border-bottom: 2px solid #111; transform: rotate(-45deg);}
    
    /* 라디오 타입 + 체크 안됨 */
    &:has(input[type="radio"]){
        color: var(--gray);
        & input + .shape{border-color: var(--border-default);}       
        & input:checked + .shape{border-color: var(--black);}       
    }
    /* 라디오 타입 + 체크 됨 */
    &:has(input[type="radio"]:checked){
        color: var(--black); font-weight: var(--fwsb);
    }
    /* 강조 */
    &.accent{
        font-weight: var(--fwsb);
    }
}


/* form-agree */
.form-agree{
    display: flex; align-items: center; gap: 10px; justify-content: center; text-align: center;

    & .layer-opener{font-size: 12px; color: #888; text-decoration: underline; text-underline-offset: 2px; line-height: 1;}
}


/* form-checkbox */
.form-checkbox{
    display: inline-flex; align-items: center; gap: 10px; font-weight: var(--fwm); color: #000; letter-spacing: 0;
    & input{position: absolute; width: 0; height: 0; overflow: hidden; left: -9999px;}
    & input + .shape{position: relative; display: inline-block; width: 24px; height: auto; aspect-ratio: 1; border-radius: 2px; border: 1px solid #b5babe;}
    & input + .shape:before{content: ""; position: absolute; top: 50%; left: 50%; width: 12px; height: 6px; border-left: 2px solid #fff; border-bottom: 2px solid #fff; transform: translate(-50%, -77%) rotate(-48deg); opacity: 0;}
    & input:checked + .shape{border-color: transparent; background-color: var(--theme-green);}
    & input:checked + .shape:before{opacity: 1;}
}


/* secure-login */
.secure-login{
    position: relative; margin: 0 0 0 auto; padding: 10px 0 0; display: inline-flex; flex-wrap: wrap; gap: 5px; align-items: center; font-size: 15px; font-weight: var(--fwr); letter-spacing: 0; color: var(--gray); line-height: 14px;
    &:before{content: ""; display: inline-block; width: 12px; height: auto; aspect-ratio: 12 / 14; background: url("/assets/site/img/common/secure-login.svg") no-repeat center; background-size: 100% auto;}
    &:after{content: ""; position: absolute; top: 12px; left: 2px; width: 4px; height: 4px; background: #fff; opacity: 0;}

    &.on{
        &:after{opacity: 1;}
    }
}


/* form-option */
.form-option{
    display: flex; flex-wrap: wrap; align-items: center; padding: 15px 0 0;
}


/* form-msg */
.form-msg{
    text-align: center;
    & .title{font-size: 20px; font-weight: var(--fwb); padding: 0 0 22px; line-height: 1.2;}
    & p{color: var(--gray); line-height: 1.3;}
    & p br{}
    & .result{
        display: inline-flex; flex-wrap: wrap; justify-content: center; padding: 3px 20px; background: #eef7ff; font-weight: var(--fwm); margin: 20px 0 0;
        & dd{}
        & dd:before{content: ""; display: inline-block; vertical-align: middle; margin: -2px 8px 0; width: 1px; height: 10px; background: var(--gray);}
    }
}


/* form-guide */
.form-guide{
    border: 1px solid var(--border-default); border-radius: 8px; padding: 24px 30px; margin: 36px 0 0;

    & .guide-list{
        display: flex; flex-direction: column; gap: 1px;
        & > li{position: relative; padding: 0 0 0 14px; font-size: 14px; color: var(--gray);}
        & > li:before{content: ""; position: absolute; top: 8px; left: 0; width: 3px; height: 3px; border-radius: 50%; background: var(--gray);}
    }
}


/* member-types */
.member-types{
    display: flex; flex-wrap: wrap; gap: var(--gap); max-width: 798px; margin: 0 auto;
    & > li{
        flex: 1; min-width: 0; border: 1px solid var(--border-default); border-radius: var(--radius); padding: calc(var(--gap) * 3) var(--gap); background: #fff;
        & > dl{
            display: flex; flex-direction: column; align-items: center; gap: 10px;
            & dt{
                width: 72px; height: auto; aspect-ratio: 1;
                & img{width: 100%; height: 100%; object-fit: cover;}
            }
            & dd{font-size: 20px; font-weight: var(--fwsb); line-height: 1.3;}
        }
        & > .btn{margin: var(--gap) 0 0; display: block; background: #111; border: 1px solid transparent; color: #fff; border-radius: 8px; font-size: 1rem; font-weight: var(--fwsb); line-height: 48px; text-align: center;}
    }

    @media (width <= 640px){
        flex-direction: column;
        & > li{
            display: flex; flex-wrap: wrap; align-items: center; gap: 24px; padding: 20px var(--gap);
            & > dl{
                flex: 0 0 auto; width: 72px;
                & dt{width: 52px;}
                & dd{font-size: 16px;}
            }
            & > .btn{flex: 1; min-width: 0; margin: 0;}
        }
    }
}


/* agree */
.agree{
    & .agree-sec{
        margin: calc( var(--gap) * 1.5 ) 0 0;
        & h3{font-size: 20px; font-weight: var(--fwb); margin: 0 0 var(--gap);}
    }

    & .guide-box{
        border: 1px solid var(--border-default); border-radius: var(--radius); padding: var(--gap); background: #fff;
        &:has(> .chk-small){font-size: 0;}
        & .text-box{
            background: #f9f9f9; border-radius: var(--radius); padding: var(--gap); height: 267px; overflow-y: auto; min-height: 100px;
        }
        & .chk-area{
            display: flex; flex-wrap: wrap; justify-content: flex-end; gap: 15px; padding: 12px 0 0;
        }
    }

    & > .wrap{
        & form{
            & > .btn-wrap{
                padding: 36px 0 0;
            }
        }
    }
}


/* 개별처리 */
#sub-login{
    & .login{
        & .form-box{
            & > .btn-wrap{padding-top: 16px;}
        }
    }
}


